scotch for Debian
-----------------

Metis/Parmetis compatibility libraries
--------------------------------------

Scotch provides a metis and parmetis interface which would allow one
to compile programs and libraries requiring metis whitout having to
install parmetis (which is a non-free software)

From release 6.1.1, the default Metis compatibility set in
library_metis.h has been configured to Metis v5 (build flag
-DSCOTCH_METIS_VERSION=5).

From release 7.0.0 both libscotchmetisv3.so and libscotchmetisv5.so
are built. Select between them by compiling with
-lscotchmetisv3 or -lscotchmetisv5
(-DSCOTCH_METIS_VERSION=3 or 5 will be needed if the metis.h
compatibility header is used)

Parmetis compatibility is provided through -lptscotchparmetisv3
(Parmetis v3 only).


Multi-threading and MPI
-----------------------

Scotch provides multithreading, but care must be taken when using in
conjunction with MPI. More discussion on binding threads to cores and
MPI processes is provided in the INSTALL.txt file (provided in the
upstream source and copied to the debian doc directories for
ptscotch).  e.g. OpenMPI:
 mpirun -np 2 --map-by socket --bind-to socket <program>

Particular care must be taken with Scotch 7 and later, since it now
provides dynamic thread management, which is a new feature and
therefore may result in a change in behaviour compared to previous
versions.
